Debian Bug report logs - #254147
hurd: /libexec/rc is not executable

version graph

Package: hurd; Maintainer for hurd is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for hurd is src:hurd.

Reported by: Ognyan Kulev <ogi@fmi.uni-sofia.bg>

Date: Sun, 13 Jun 2004 08:33:01 UTC

Severity: important

Tags: sid

Found in version 20040508-2

Fixed in version hurd/20040508-3

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <bug-hurd@gnu.org>:
Bug#254147; Package hurd. Full text and rfc822 format available.

Acknowledgement sent to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
New Bug report received and forwarded. Copy sent to GNU Hurd Maintainers <bug-hurd@gnu.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ognyan Kulev <ogi@fmi.uni-sofia.bg>
To: submit@bugs.debian.org
Subject: hurd: /libexec/rc is not executable
Date: Sun, 13 Jun 2004 11:30:55 +0300
Package: hurd
Version: 20040508-2
Severity: normal
Tags: sid

/libexec/rc is not executable, and it's run by /libexec/runsystem.gnu
when system boots.  This interrupts boot process, and "single-user mode"
(if this can be applied to the Hurd) is entered.

The file just has to be made executable.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: hurd-i386 (i386-AT386)
Kernel: GNU 0.3
Locale: LANG=C, LC_CTYPE=C

Versions of packages hurd depends on:
ii  sysv-rc                     2.85-20+kbsd Standard boot mechanism 
using syml

-- no debconf information




Severity set to `important'. Request was from Ognyan Kulev <ogi@fmi.uni-sofia.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ognyan Kulev <ogi@fmi.uni-sofia.bg>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 254147-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 254147-close@bugs.debian.org
Subject: Bug#254147: fixed in hurd 20040508-3
Date: Tue, 14 Sep 2004 20:02:09 -0400
Source: hurd
Source-Version: 20040508-3

We believe that the bug you reported is fixed in the latest version of
hurd, which is due to be installed in the Debian FTP archive:

hurd-dev_20040508-3_hurd-i386.deb
  to pool/main/h/hurd/hurd-dev_20040508-3_hurd-i386.deb
hurd_20040508-3.diff.gz
  to pool/main/h/hurd/hurd_20040508-3.diff.gz
hurd_20040508-3.dsc
  to pool/main/h/hurd/hurd_20040508-3.dsc
hurd_20040508-3_hurd-i386.deb
  to pool/main/h/hurd/hurd_20040508-3_hurd-i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 254147@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated hurd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  9 Sep 2004 22:32:07 +0200
Source: hurd
Binary: hurd-dev hurd
Architecture: hurd-i386 source 
Version: 20040508-3
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <bug-hurd@gnu.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 hurd       - The GNU Hurd
 hurd-dev   - The GNU Hurd (development files)
Closes: 251863 254147 268347
Changes: 
 hurd (20040508-3) unstable; urgency=low
 .
   * debian/local/rc: Removed.
   * debian/patches/rc.patch: New file. (Closes: #254147)
   * debian/hurd.install: Install tmp/libexec/rc.
   * debian/patches/console_switch3.patch: Removed.
   * debian/patches/console_repeater.patch: New patch by Marco Gerards.
   * debian/patches/libcons_repeater.patch: New patch by Marco Gerards.
   * debian/patches/netfs_io_select.patch: New patch by Marco Gerards.
   * debian/patches/netfs_nonblock.patch: New patch by Marco Gerards.
   * Rebuilt against glibc_2.3.2.ds1-16.
   * debian/hurd.postinst: Make sure /bin/login is suid. (Closes: #251863)
   * debian/control (Uploaders): Added myself.
   * debian/hurd.postinst: Only create the tty devices if they do not
     exist already. (Closes: #268347)
Files: 
 d14247e396a7f51c1339e86cc6d86f60 785 base required hurd_20040508-3.dsc
 0accd0e4ce4d9870bfce627aa1e1ed97 950674 libdevel standard hurd-dev_20040508-3_hurd-i386.deb
 117f58b35ecfd6b0e848331a25cc9077 2135768 base required hurd_20040508-3_hurd-i386.deb
 9d14b64367c3df8f543adb1fb706d3be 36994 base required hurd_20040508-3.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBR4MQmHaJYZ7RAb8RAodlAJ0WGskW4Om3q3OmP+E2rDKuxyH9NwCgm1jh
OdN46qsZnqAVskFV8ZlQ23I=
=Mtrc
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:50:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.